#some minor manual additions
INVALID_HANDLE_VALUE = -1
MAXDWORD = 4294967295
# Generated by h2py from /home/bdm/Desktop/winbase.h
VS_VERSION_INFO = 1
VS_USER_DEFINED = 100
VS_FFI_SIGNATURE = (-17890115)
VS_FFI_STRUCVERSION = 0x00010000L
VS_FFI_FILEFLAGSMASK = 0x0000003FL
VS_FF_DEBUG = 0x00000001L
VS_FF_PRERELEASE = 0x00000002L
VS_FF_PATCHED = 0x00000004L
VS_FF_PRIVATEBUILD = 0x00000008L
VS_FF_INFOINFERRED = 0x00000010L
VS_FF_SPECIALBUILD = 0x00000020L
VOS_UNKNOWN = 0x00000000L
VOS_DOS = 0x00010000L
VOS_OS216 = 0x00020000L
VOS_OS232 = 0x00030000L
VOS_NT = 0x00040000L
VOS_WINDOWSCE = 0x00050000L
VOS__BASE = 0x00000000L
VOS__WINDOWS16 = 0x00000001L
VOS__PM16 = 0x00000002L
VOS__PM32 = 0x00000003L
VOS__WINDOWS32 = 0x00000004L
VOS_DOS_WINDOWS16 = 0x00010001L
VOS_DOS_WINDOWS32 = 0x00010004L
VOS_OS216_PM16 = 0x00020002L
VOS_OS232_PM32 = 0x00030003L
VOS_NT_WINDOWS32 = 0x00040004L
VOS_CE_WINDOWS32 = 0x00050004L
VFT_UNKNOWN = 0x00000000L
VFT_APP = 0x00000001L
VFT_DLL = 0x00000002L
VFT_DRV = 0x00000003L
VFT_FONT = 0x00000004L
VFT_VXD = 0x00000005L
VFT_STATIC_LIB = 0x00000007L
VFT2_UNKNOWN = 0x00000000L
VFT2_DRV_PRINTER = 0x00000001L
VFT2_DRV_KEYBOARD = 0x00000002L
VFT2_DRV_LANGUAGE = 0x00000003L
VFT2_DRV_DISPLAY = 0x00000004L
VFT2_DRV_MOUSE = 0x00000005L
VFT2_DRV_NETWORK = 0x00000006L
VFT2_DRV_SYSTEM = 0x00000007L
VFT2_DRV_INSTALLABLE = 0x00000008L
VFT2_DRV_SOUND = 0x00000009L
VFT2_DRV_COMM = 0x0000000AL
VFT2_DRV_INPUTMETHOD = 0x0000000BL
VFT2_FONT_RASTER = 0x00000001L
VFT2_FONT_VECTOR = 0x00000002L
VFT2_FONT_TRUETYPE = 0x00000003L
VFFF_ISSHAREDFILE = 0x0001
VFF_CURNEDEST = 0x0001
VFF_FILEINUSE = 0x0002
VFF_BUFFTOOSMALL = 0x0004
VIFF_FORCEINSTALL = 0x0001
VIFF_DONTDELETEOLD = 0x0002
VIF_TEMPFILE = 0x00000001L
VIF_MISMATCH = 0x00000002L
VIF_SRCOLD = 0x00000004L
VIF_DIFFLANG = 0x00000008L
VIF_DIFFCODEPG = 0x00000010L
VIF_DIFFTYPE = 0x00000020L
VIF_WRITEPROT = 0x00000040L
VIF_FILEINUSE = 0x00000080L
VIF_OUTOFSPACE = 0x00000100L
VIF_ACCESSVIOLATION = 0x00000200L
VIF_SHARINGVIOLATION = 0x00000400L
VIF_CANNOTCREATE = 0x00000800L
VIF_CANNOTDELETE = 0x00001000L
VIF_CANNOTRENAME = 0x00002000L
VIF_CANNOTDELETECUR = 0x00004000L
VIF_OUTOFMEMORY = 0x00008000L
VIF_CANNOTREADSRC = 0x00010000L
VIF_CANNOTREADDST = 0x00020000L
VIF_BUFFTOOSMALL = 0x00040000L
FILE_BEGIN = 0
FILE_CURRENT = 1
FILE_END = 2
MAXINTATOM = 0xC000
LMEM_FIXED = 0x0000
LMEM_MOVEABLE = 0x0002
LMEM_NOCOMPACT = 0x0010
LMEM_NODISCARD = 0x0020
LMEM_ZEROINIT = 0x0040
LMEM_MODIFY = 0x0080
LMEM_DISCARDABLE = 0x0F00
LMEM_VALID_FLAGS = 0x0F72
LMEM_INVALID_HANDLE = 0x8000
LMEM_DDESHARE = 0x0000
LMEM_LOWER = 0x0000
LMEM_NOT_BANKED = 0x0000
LMEM_NOTIFY = 0x0000
LMEM_SHARE = 0x0000
LHND = (LMEM_MOVEABLE | LMEM_ZEROINIT)
LPTR = (LMEM_FIXED | LMEM_ZEROINIT)
NONZEROLHND = (LMEM_MOVEABLE)
NONZEROLPTR = (LMEM_FIXED)
LMEM_DISCARDED = 0x4000
LMEM_LOCKCOUNT = 0x00FF
GMEM_FIXED = LMEM_FIXED
GMEM_MOVEABLE = LMEM_MOVEABLE
GPTR = LPTR
GHND = LHND
GMEM_DDESHARE = LMEM_DDESHARE
GMEM_DISCARDABLE = LMEM_DISCARDABLE
GMEM_LOWER = LMEM_LOWER
GMEM_NOCOMPACT = LMEM_NOCOMPACT
GMEM_NODISCARD = LMEM_NODISCARD
GMEM_NOT_BANKED = LMEM_NOT_BANKED
GMEM_NOTIFY = LMEM_NOTIFY
GMEM_SHARE = LMEM_SHARE
GMEM_ZEROINIT = LMEM_ZEROINIT
VER_PLATFORM_WIN32s = 0
VER_PLATFORM_WIN32_WINDOWS = 1
VER_PLATFORM_WIN32_NT = 2
VER_PLATFORM_WIN32_HH = 3
VER_PLATFORM_WIN32_CE = 3
DONT_RESOLVE_DLL_REFERENCES = 0x00000001
LOAD_LIBRARY_AS_DATAFILE = 0x00000002
LOAD_WITH_ALTERED_SEARCH_PATH = 0x00000008
MSGQUEUE_NOPRECOMMIT = 0x00000001
MSGQUEUE_ALLOW_BROKEN = 0x00000002
MSGQUEUE_MSGALERT = 0x00000001
DEBUG_PROCESS = 0x00000001
DEBUG_ONLY_THIS_PROCESS = 0x00000002
CREATE_SUSPENDED = 0x00000004
CREATE_NEW_CONSOLE = 0x00000010
STACK_SIZE_PARAM_IS_A_RESERVATION = 0x00010000
INHERIT_CALLER_PRIORITY = 0x00020000
THREAD_PRIORITY_TIME_CRITICAL = 0
THREAD_PRIORITY_HIGHEST = 1
THREAD_PRIORITY_ABOVE_NORMAL = 2
THREAD_PRIORITY_NORMAL = 3
THREAD_PRIORITY_BELOW_NORMAL = 4
THREAD_PRIORITY_LOWEST = 5
THREAD_PRIORITY_ABOVE_IDLE = 6
THREAD_PRIORITY_IDLE = 7
EXCEPTION_DEBUG_EVENT = 1
CREATE_THREAD_DEBUG_EVENT = 2
CREATE_PROCESS_DEBUG_EVENT = 3
EXIT_THREAD_DEBUG_EVENT = 4
EXIT_PROCESS_DEBUG_EVENT = 5
LOAD_DLL_DEBUG_EVENT = 6
UNLOAD_DLL_DEBUG_EVENT = 7
OUTPUT_DEBUG_STRING_EVENT = 8
RIP_EVENT = 9
WAIT_OBJECT_0 = 0x00000000L
WAIT_ABANDONED = 0x00000080L
WAIT_ABANDONED_0 = 0x00000080L
WAIT_FAILED = (-1)
INFINITE = (-1)
TLS_MINIMUM_AVAILABLE = 64
STILL_ACTIVE = 0x00000103
GENERIC_READ = ((-2147483648))
GENERIC_WRITE = (0x40000000L)
GENERIC_EXECUTE = (0x20000000L)
GENERIC_ALL = (0x10000000L)
FILE_SHARE_READ = 0x00000001
FILE_SHARE_WRITE = 0x00000002
FILE_FLAG_WRITE_THROUGH = (-2147483648)
FILE_FLAG_OVERLAPPED = 0x40000000
FILE_FLAG_NO_BUFFERING = 0x20000000
FILE_FLAG_RANDOM_ACCESS = 0x10000000
FILE_FLAG_SEQUENTIAL_SCAN = 0x08000000
FILE_FLAG_DELETE_ON_CLOSE = 0x04000000
FILE_FLAG_BACKUP_SEMANTICS = 0x02000000
FILE_FLAG_POSIX_SEMANTICS = 0x01000000
CREATE_NEW = 1
CREATE_ALWAYS = 2
OPEN_EXISTING = 3
OPEN_ALWAYS = 4
TRUNCATE_EXISTING = 5
OPEN_FOR_LOADER = 6
FORMAT_MESSAGE_ALLOCATE_BUFFER = 0x00000100
FORMAT_MESSAGE_IGNORE_INSERTS = 0x00000200
FORMAT_MESSAGE_FROM_STRING = 0x00000400
FORMAT_MESSAGE_FROM_HMODULE = 0x00000800
FORMAT_MESSAGE_FROM_SYSTEM = 0x00001000
FORMAT_MESSAGE_ARGUMENT_ARRAY = 0x00002000
FORMAT_MESSAGE_MAX_WIDTH_MASK = 0x000000FF
FIND_FIRST_EX_CASE_SENSITIVE = 0x00000001
DTR_CONTROL_DISABLE = 0x00
DTR_CONTROL_ENABLE = 0x01
DTR_CONTROL_HANDSHAKE = 0x02
RTS_CONTROL_DISABLE = 0x00
RTS_CONTROL_ENABLE = 0x01
RTS_CONTROL_HANDSHAKE = 0x02
RTS_CONTROL_TOGGLE = 0x03
NOPARITY = 0
ODDPARITY = 1
EVENPARITY = 2
MARKPARITY = 3
SPACEPARITY = 4
ONESTOPBIT = 0
ONE5STOPBITS = 1
TWOSTOPBITS = 2
IGNORE = 0
CBR_110 = 110
CBR_300 = 300
CBR_600 = 600
CBR_1200 = 1200
CBR_2400 = 2400
CBR_4800 = 4800
CBR_9600 = 9600
CBR_14400 = 14400
CBR_19200 = 19200
CBR_38400 = 38400
CBR_56000 = 56000
CBR_57600 = 57600
CBR_115200 = 115200
CBR_128000 = 128000
CBR_256000 = 256000
CE_RXOVER = 0x0001
CE_OVERRUN = 0x0002
CE_RXPARITY = 0x0004
CE_FRAME = 0x0008
CE_BREAK = 0x0010
CE_TXFULL = 0x0100
CE_PTO = 0x0200
CE_IOE = 0x0400
CE_DNS = 0x0800
CE_OOP = 0x1000
CE_MODE = 0x8000
IE_BADID = (-1)
IE_OPEN = (-2)
IE_NOPEN = (-3)
IE_MEMORY = (-4)
IE_DEFAULT = (-5)
IE_HARDWARE = (-10)
IE_BYTESIZE = (-11)
IE_BAUDRATE = (-12)
EV_RXCHAR = 0x0001
EV_RXFLAG = 0x0002
EV_TXEMPTY = 0x0004
EV_CTS = 0x0008
EV_DSR = 0x0010
EV_RLSD = 0x0020
EV_BREAK = 0x0040
EV_ERR = 0x0080
EV_RING = 0x0100
EV_PERR = 0x0200
EV_RX80FULL = 0x0400
EV_EVENT1 = 0x0800
EV_EVENT2 = 0x1000
EV_POWER = 0x2000
SETXOFF = 1
SETXON = 2
SETRTS = 3
CLRRTS = 4
SETDTR = 5
CLRDTR = 6
SETBREAK = 8
CLRBREAK = 9
SETIR = 10
CLRIR = 11
PURGE_TXABORT = 0x0001
PURGE_RXABORT = 0x0002
PURGE_TXCLEAR = 0x0004
PURGE_RXCLEAR = 0x0008
LPTx = 0x80
AC_LINE_OFFLINE = 0x00
AC_LINE_ONLINE = 0x01
AC_LINE_BACKUP_POWER = 0x02
AC_LINE_UNKNOWN = 0xFF
BATTERY_FLAG_HIGH = 0x01
BATTERY_FLAG_LOW = 0x02
BATTERY_FLAG_CRITICAL = 0x04
BATTERY_FLAG_CHARGING = 0x08
BATTERY_FLAG_NO_BATTERY = 0x80
BATTERY_FLAG_UNKNOWN = 0xFF
BATTERY_PERCENTAGE_UNKNOWN = 0xFF
BATTERY_LIFE_UNKNOWN = (-1)
BATTERY_CHEMISTRY_ALKALINE = 0x01
BATTERY_CHEMISTRY_NICD = 0x02
BATTERY_CHEMISTRY_NIMH = 0x03
BATTERY_CHEMISTRY_LION = 0x04
BATTERY_CHEMISTRY_LIPOLY = 0x05
BATTERY_CHEMISTRY_ZINCAIR = 0x06
BATTERY_CHEMISTRY_UNKNOWN = 0xFF
LOADFSD_ASYNCH = 0x0000
LOADFSD_SYNCH = 0x0001
RT_MUI = 222
ID_MUI = 1